issue21
www.commodorefree.com
Issue 21 JULY
June 2008
www.commodorefree.com
Free to download magazine
Dedicated to Commodore Computers
Available as Text, Html, PDF, SEQ and Commodore 64 D64 disk image
July 2008 Page 1
www.commodorefree.com
EDITOR
CONTENTS
Hello
Well what a month recently I was interviewed for Meeting users through the mail MUTT a paper publication
posted to Commodore users who do not or cannot get
an Internet connection, I was surprised the magazine is
still going but I guess there is still strong support for
Commodore machines.
Editor / Contents
Page 2
Comments and Suggestions
Readers Comments
Page 3
News
General Commodore News
Page 4 -6
The Commodore Computer club U.k. Had its first official
meeting, read a little more in this issue of the magazine
about what was archived on the event, it was disappointing only 3 people attended but it is the first event so I
suspect more will attend at the next meeting. If you
haven't already done so I suggest you head for
www.commodrecomputerclub.co.uk and see how to become a member.
Games
Netracer
Page 7 -9
Its now clear that producing a magazine every month is
difficult and leaves me with little time so I have decided
to change things a little, the magazine will aim for
around 16 pages rather than the usual 30 if its any bigger hey that's a bonus. With more help and people submitting articles of course I could keep the usual 30
pages but without help it will be around 16 as stated earlier.
Interviews
C64 Game Endings
Antonino Porcino VIC20 programmer
Erik Schubach
Page 10
Page 25 - 26
Other items
No Ending!
Paper SX 64 model
COMMODORE COMPUTER CLUB
Page 12
Page 23 - 34
Page 27 - 28
Tutorials
In the beginning part 6
TND making music with DMC
Page 16 - 19
Page 20 - 22
So there you are enjoy
Nigel
And yes because I don’t have a handle and cant think of
one I am using my yahoo email address nigelp2k I tried
nigel and there were hundreds and this was the closest I
could get so nigelp2k fairly rubbish I know
HOW CAN I HELP COMMODORE FREE
Ok the best way to help would be “write something
about Commodore” (yes for the observant I spelled the
company correctly this time) _grin seriously though articles are always welcome,
WHAT ARTICLES DO YOU NEED
Well they vary contact me if you have an idea but I am
looking for
Tutorials – (beginners and Expert)
Experiences with Commodore
Why I love Commodore machines
Interviews – maybe you have access to a power user
July 2008 Page 2
www.commodorefree.com
READERS COMMENTS
-- On Wed, 2/7/08,
Shaun Bebbington wrote:
From: Shaun Bebbington
Subject: SuperCPU replacement.
To: Commodore Free
Date: Wednesday, 2 July, 2008, 11:57 PM
Hi Nigel,
I read in Commodore Free that I suggested that the 1541
Ultimate Plus would be a good SuperCPU replacement.
I never actually said this; what I suggested was that with a
battery back-up function (which I think is intended on a
future revision), the device could be a RAMLink replacement at some point in the future.In emulation, someone has
already hacked Wheels to recognize a 17xx Ram Expansion Unit up to 8 megabytes, and theoretically up to 16Mb.
Okay, so this hasn't been done in the real world as far as I
know, but the 1541U+ as far as I can gather basically has
the same function as a 1750 REU (for instance), but up to
16Mb. A RAMLink is 16Mb, so all that is needed is either a
power source to keep the RAM in a solid state, and some
sort of DOS interface to read the contents of the RAM (you'll
note that the RAMLink can do this already as you can plug
a 1750 REU or clone into the RAMPort, which can be either
'normal' access via JiffyDOS, or 'direct' access as it was
intended to be used, which is only possible because the
memory is kept constant as long as it remains plugged into
the RAMPort and the RAMLink isn't unplugged).
Even without accessing the RAM like a drive, you can skip
RAMDisk formatting' on Wheels, and have a RAM disk on
your desktop. This keeps the memory on even after a soft
reset, but obviously switching the computer off will clear it.
So, keeping power to the 1541U+ even after switching off
the computer should also keep the memory in m tact meaning that you can have all of your GEOS apps in RAM for
super-fast access. The 1541U+ is going to be somekickass device, that is for sure!
Dewey Wrote
From: Dewey
Subject: Loadstar
To: Commodore Free
Sir:
Sorry to trouble you. In your issue #16, under news, there
was an entry concerning loadstar. I was interested in purchasing some loadstars but cannot bring up the website.
Does anyone know if this website is no longer active or if
Dave Moorman is out of business? Sorry I don't do the
forums so I don't know what is happening with C64 stuff.
Thank you for your informative Commodore Free magazine.
Dewey
COMMODORE FREE
Hello Dewey
No need to be so formal we are all friends here, anyway I
believe loadstar back issues are available on cd rom from
the following location
http://shop.vcsweb.com/
index.php?main_page=index&cPath=24
Here is a link direct to complete loadstar all back issues on
cd rom
http://shop.vcsweb.com/
index.php?main_page=product_info&cPath=24_28&produ
cts_id=173
I also passed you details onto David from loadstar so he
may contact you directly
Thanks
Commodore Free
As for a SuperCPU clone... well, who knows what the future
will hold ;-)
Sorry for the rant!
Regards,
Shaun.
COMMODORE FREE
Gulps and blushes
Sorry friend, I must have been half listening, ok so please
read the above Comments as an amendment to the last
pages of issue 20
I am hoping most of you will have downloaded the amended
version of the magazine with the Corrected text.
July 2008 Page 3
www.commodorefree.com
NEWS
Back in Time Live and C64Audio news!
Hi there, fans of all things C64-music-related!
Lots of news this time, some of it... delayed :)
* Back in Time Live visits Stockholm
* Remix 64 Vol 3 - Syntax Era
* Reyn Ouwehand is awesome
* Forthcoming stuff
**** BACK IN TIME LIVE STOCKHOLM : SEP 13 2008 **
The most urgent news is the announcement of Back in
Time Live Stockholm for the 13th September 2008, run this
time by C64.com supremo Andreas Wallstrom and SceneSat head honcho and diskmaster to the scene John
"Ziphoid" Carehag.
Performers include: Jeroen Tel, Reyn Ouwehand, Romeo
Knight, Disco Danceaway and Andreas Wallstrom. If you've
heard these guys, you KNOW that they will knock your
socks off. If you haven't: well, they'll knock your SOCKS off!
Other guests include legendary C64 composer Fred Gray,
loads of remixers and radio personalities, famed cracker
Mr. Z/Triad, and members from scene groups such as
Pretzel Logic, Fairlight, Light, Antic, Booze Design, F4CG,
and Megastyle.
As usual, all you need to bring is your sense of fun, the
ability to shout "Kok!", and your thirst!
The extremely well-designed website is where you can buy
tickets is http://www.backintimelive.com. Now, go!!
**** NEW CD! REMIX 64 - SYNTAX ERA ****
Samples are available at: http://www.c64audio.com/
productInfo.php?cat=R64SE
Imagine C64 songs done to sound exactly like tracks or
artists from the 1980s. "It's been done five years ago!!", I
hear you say!
Well, the third volume of Remix 64 returns to its roots, with
a stunning and goosepimply selection of tracks which brilliantly evoke the feel of particular tracks such as Two
Tribes, 19, Too Shy and Broken Wings, but don't lose the
essential SID tune beneath.
Featuring remixers such as Romeo Knight, LMan, Thomas
Detert, Makke, Binster and Tonka.
The CD also features a bonus track with SID and the
gorgeous Elisa Zoot doing Vince Clark's classic "Only You",
as a prelude to the forthcoming releases from Monotron.
**** REMINDER: Reyn Ouwehand is AMAZING ****
http://www.c64audio.com/productInfo.php?cat=PP004
Reyn Ouwehand last year produced one of the most amazing remix CDs my ear has ever heard, with virtuoso performances of some of the best and cutest themes around:
such as Zeppelin, Hunchback II, Mutants, Great Giana
Sisters, and loads more.
If you're a fan of the old school themes like me, check out
the samples!
on the work of Jochen Hippel: it's another labour of love,
and will be available in digital format only (FLAC/HQ MP3).
**** Forthcoming albums 2: 8BW Confidential 2 ****
Seth "8-Bit Weapon" Sternberger has finally finished his
C64 covers/remix album, and it will be here shortly, both as
a digital album and as a limited edition 5.25" disk edition :)
**** Forthcoming albums 3: BASIC ****
Tonka, in his new guise as "Monotron" is working overtime
with his lovely vocalist Elisa Zoot to bring you the best C64
+ vocal sound ever released (and yes, that includes the
awesome Thermostatic).
I've hopefully got even bigger news in my next newsletter...
two in one year? Yes, it might just happen!
See you hopefully at Back in Time Live, whatever happens!
Oh, and please let me know if you don't want to receive the
occasional newsletter like this, or if you get two, let me
know the email address NOT to send to!
And... if you've ever had any problems with the shop: like
stuff not being delivered, please let me know as well.
Best wishes, and thanks for supporting us over the years:
it's now 11 years since the original planned release date of
Back in Time 1. Scary!!
Cya :)
Chris Abbott
C64Audio.com
-----------------------------------------------------------------------------
English SCACOM issue 3
The English version of SCACOM magazine is available to
download from
www.scacom.de.vu
XeO3 Test Demo
Demo version of XeO3 has been released and available
from the link below
http://www.xeo3.org/prg/xeo3_test_demo.zip
New Version: of D64Lister
The most important changes since 18.01.07 are:
* Tried to make it compatible to Vista
* Added more than 144 Files mode
* Added PrologicDos Support
* Added 40 Tracks Autodetect Mode
* Added Window Resize in Extended OpenDialog
* Added Additional Special locations in Extended OpenDialog InitialDir
* Changed Extended OpenDialog Special Dir handling on
Show
* Changed Custom Header generation (update your settings)
* Changed BAMViewer activation and Image Reload handling
* Changed Keyboard Zoom in C64Screen and PhotAlbumViewer to MainKeyboard, too
* Some codereview and optimizations
* Use UPX 3.03 for Exe compressing http://
www.hardworks.de/d64lister/
**** Forthcoming albums 1: New Atari ST album ****
In the next few weeks, we'll be releasing a new Atari ST
Remix CD by Tobias Jansson focussed almost exclusively
July 2008 Page 4
www.commodorefree.com
NEWS
From: Jim
Subject: uIEC update (pricing info)
apologize for the delay, but I know people wanted pricing,
and I was busy writing code. However, since I am hoping
to sell units at the C4 EXPO coming up this weekend, I had
put pricing off for too long.
Thus, here goes:
uIEC will be offered in 2 flavors:
The base uIEC offering will include a CompactFlash slot
and an IDE drive header. It also includes an expansion
port (as yet unused for anything, but it's configured to
match the pinout of parallel driver speeders like Professional DOS/RapiDOS Pro.) and a future option for external
drive RAM. It includes an onboard IEC connector.
The uIEC/CF is a slimmed-down version of the above unit
that offers only the CF connector and drive LEDs. No IDE,
expansion port, or external RAM. It is primarily targeted for
those who want to mount the uIEC in their C64/DTV/C128/
VIC/Plus-4/etc.
Both support all CBM IEC based computers (including the
VIC-20 with it's higher drive access speeds), include JiffyDOS support, support D64s, P00/R00/S00/U00 files, will
operate with both FAT16 and FAT32 filesystems, handle
mulitple FAT partitions, support subdirectories, and new
features appears every week or so.
Labor to solder for the first batch of units is nontrivial, but I
wanted to offer an attractive price. Thus, here's the price
list:
uIEC : $75.00
uIEC/CF: $50.00
US Shipping is +4.60, please check for overseas pricing.
I expect the prices to hold steady over time(production
board run will bring the board cost down for the next run,
but I'll switch to an outsourced builder to solder up the units,
no way am I soldering hundreds of these little CF connectors)
I'd appreciate getting an idea of interest. I hope to have
units for officially offer for sale at the C4EXPO this weekend
(all depends on my soldering skills). If you've previously
requested one, please remind me via email. I'll make sure
all previous requestors get at least one unit. Mainly, I just
want to unload all of the current boards and recoup my
investment before I start running a new batch.
The Story of Commodore: A Company on the Edge
(Paperback) by Brian Bagnall (Author)
It seems this book is now going to be revised with new
interviews and released later in the year
Product details
Paperback: 548 pages
Publisher: Variant Press; 2Rev Ed edition (30 Sep 2007)
Language English
ISBN-10: 0973864931
ISBN-13: 978-0973864939
http://www.amazon.co.uk/Story-CommodoreCompanyEdge/dp/0973864931/
ref=sr_1_1?ie=UTF8&s=books&qid=1214897454&sr=8-1
----------------------------------------------------------------------------Commodore Computer Club
www.commodorecomputerclub.co.uk
There is a UK user group currently being set up at
www.commodorecomputerclub.co.uk
The aim is to have regular meetings to discuss current
activities and within the Commodore world, and have workshops (GEOS, Coding etc...) and also maybe hold an
annual coding competition. International members are welcome. The first meeting is scheduled for 26th July 2008,
and is being hosted by Commodore Free’s editor Nigel
Parker. Formal membership is expected to start from August 2008
Commodore BBS listing website
I have launched a new site that includes a commodore BBS
listing. The listing is user generated and edited. Each listing
has screenshots and connection info. Please stop by and
list your BBS or come and find the address or your favorite
BBS. My hope is that this will help make the commodore
BBS scene more active.
Please stop by at:
http://imageoutpost.hobby-site.com
-----------------------------------------------------------------------------
If you're looking for a lower cost option, I'm not sure I can
help, but I am planning to run a batch of sd2iec boards in
the near future (same firmware, but uses MMC/SD cards,
not CF cards). They might have a slightly lower cost.
As for other news, with the source code commit tonight,
uIEC/sd2iec now supports Relative files. It will support
.REL files (first byte is record length) or R00 files (record
length is in header, as implemented by VICE and PC64,
among others). Support should be considered beta at
this point. D64 REL file support will follow shortly.
Jim
http://groups.google.com/group/comp.sys.cbm/
browse_thread/thread/fd747bd45d83e690?hl=en
July 2008 Page 5
www.commodorefree.com
1541U Firmware V1.1
Written by Gideon
Friday, 18 July 2008 19:46
Upgrade your firmware now to V1.1!
In order to upgrade your 1541 Ultimate or 1541 Ultimate Plus
to version 1.1, download the following zip file:
1541 Ultimate V1.1 Firmware Download (PAL ONLY)
Installation instructions:
1) Unzip the zip file into the ROOT of an SD-card, of which
you have made sure that the 1541 Ultimate can read it.
2) Place the SD-card in the 1541U, and make sure the 1541U
is correctly inserted in a C64/C128 expansion slot.
3) Turn on the C-64 and watch the screen output.
Until the NTSC version has been officially released, NTSC
users can put their NTSC cartridge binaries in the "update1"
directory on the SD card. Just make sure that the files you put
there have the same size and are in the binary format. Just
renaming a .crt file to .bin doesn't work; it needs to be correctly converted. As long as the filenames are the same as
they were when you unzipped the firmware package, you can't
go wrong. Faulty cartridge images won't brick your 1541 ultimate.
What has been fixed?
The opcode $4b has been fixed in the 6502 emulation; which
enables the Krill loader and maybe some others.
The AR loader bug has been fixed! It turned out to be a bug
in the AR emulation itself, rather than in the drive emulation!
Current drive of the IEC pins has been increased from 8 mA to
16 mA. This might help with 1541-II issues.
REU emulation has been greatly improved, thanks to the help
of Womo!!
Some minors, like the jump of the blue bar into the scroller..
CD:/ of the software IEC mode
What has been added?
chief architect, developer, etc.) hasn't been in the
scene for a few years. Which leaves the project basically at a standstill. I never worked on the OS itself. If
I may go out on a tangent, I think the only low level
thing I ever did was upgrade the digi.drv to support
stereo output on the DigiMax. But even that was admittedly a hack job. The ideal would be to write, in
assembly, a proper multi channel mixer, with an abstracted system for output. This would allow for multiple applications to produce sound simultaneously, and
then the output would be routed to whatever device
the user happens to have on his system.The GUI remains largely incomplete. And I don't have the time
or, more importantly, the technical expertise, to write
what needs to be written. Unfortunately. :(
The other important problem is the lack of availability
of the hardware required to run WiNGs as it is. The
SuperCPU is, for all intents and purposes, no longer
available. This makes it pretty darn hard to convince
people to try WiNGs. The first thing they ask when
they find out it needs a SuperCPU is, "Where can I get
one of those?" And the answer is, "nowhere." So,
that brings their potential exploration of WiNGs to a
grinding halt. Even the IDE64, which, in my opinion
was the ideal way to use WiNGs, is for all intents and
purposes not available. I know they have been working for 2 or 3 years on a new version. But meanwhile,
real people, with actual commodore 64s sitting on their
desks are waiting around, and there are no IDE64s
available for them to buy. This is not the IDE64 team's
fault, from what I understand one of the main chips the
V3 used is no longer available. Otherwise, I'm sure
they would have continued to produce and sell the
Version 3 model at the same time as working on the
Version 4 model.
Greg.
Retro Replay! (after a lot of requests from users!)
Super Snapshot V5 emulation, with 32K ram (for our American and Canadese friends!)
Swap option for reset / freeze buttons
Hide option for files that start with '.'
Enjoy, and please let me know if you encounter any problems
flashing the new firmware.
-----------------------------------------------------------------------------------
WINGS
The WiNGs website is still up. It's been moved to a new server, and has a new address.
This is obviously not an ideal address. If anyone wants to pay
for a better domain, I'd gladly point it at the new server! :)
http://nacu.ca/sites/wings/
For some stupid reason DynDNS will not allow me to use
wings.webhop.org anymore, even though no one else is using
it. The status of WiNGs is bit problematic. For one, Jolz (the
July 2008 Page 6
www.commodorefree.com
NetRacer
http://home.ica.net/~leifb/commodore/racer/
First ever Commodore lan party?
http://games.slashdot.org/article.pl?sid=08/07/06/2114221&from=rss
Cincinnati Commodore Computer Club 2008 held what most are calling the First Commodore 64 Lan party
with Netracer
The first multiplayer Internet game for the Commodore 64!z
Overview:
NetRacer is a simple racing game written to demonstrate the potential of multiplayer games over the Internet with the Commodore 64. It builds on our earlier two-player effort Artillery Duel with realtime gameplay and the addition of a server.
The game was unveiled at the Cincinnati Commodore Computer Club Expo 2008. Check out the Powerpoint presentation
about the project and pictures of the event and setup.
Features:
•
Eight simultaneous players over the Internet or LAN
•
Scrolling graphics
•
Sound effects
•
Joystick control (Port 2)
Technical Details:
•
UDP-based communication (don't forget to forward port 3000 in your router/firewall to your C64)
•
Written in DASM assembler
•
Uses netlib64, which in turn supports the RR-Net, FB-Net, or ETH64 cartridges.
•
Server is written in Java 5.
Download:
NetRacer 1.0 from Commodore Scene Database.
http://noname.c64.org/csdb/release/?id=67873
Please note that the VICE emulator isn't yet supported, as its RR-Net emulation is a bit buggy.
Source code for the client and server are available, contact Leif for a copy.
Links:
•
Discuss the game's development on the C64 Network Game Development forum.
http://jledger.proboards19.com/index.cgi?board=c64ngd
•
Look for opponents on the C64friends IRC chat http://www.c64friends.com/
•
or the #netracer channel on NewNet. http://www.newnet.net/newnewnet/index.php
•
Summary of Ethernet on the Commodore 64. http://home.ica.net/~leifb/commodore/ethernet.html
July 2008 Page 7
www.commodorefree.com
NETRACER
TEXT taken from the Powerpoint presentation from the Cincinnati Commodore Computer Club Expo 2008.
============================================================================
NETRACER
A networked multiplayer game for the Commodore 64
Leif Bloomquist
Cincinnati Commodore Computer Club Expo 2008
===========
THE GOAL
Create a real-time multiplayer action game for the Commodore 64 with network cart
Build on network code written for Artillery Duel Network to add multiplayer capability
============
GAMEPLAY
Simple race-around-the-track game against other players
Points for distance traveled and laps completed
Car takes damage and you slow down if you collide with the track edge or other players
Complete laps to fix damage
================
Client server Architecture
Commodore 64
Commodore 64
Commodore 64
Java Server
Commodore 64
Commodore 64
Commodore 64
===============
INTERNET PROTOCOLS
Transport Control Protocol (TCP)
Guaranteed delivery of data + packet ordering
Not implemented in ML yet, high overhead
A lot of work for a poor 1Mhz computer
User Datagram Protocol (UDP)
Much simpler protocol than TCP
No guarantees – you do all the confirmation
Working implementations in 6502 ML
Used extensively in PC Internet gaming
=====================
SIMPLYFYING ASSUMPTIONS
Minimal and static game “world”
Lost packets are ignored – subsequent packets supercede old data anyway
No ACKing required
Maximum 8 players per server instance to keep to max. 8 sprites on screen
No theoretical limit on # players otherwise
====================
TECHNICAL CHALLENGES
Keeping everything synchronized
Mitigated by providing the illusion of a consistent game world (“good enough”)
Raster time
Solved by skipping network update for one frame when screen is scrolled
Internet Lag
July 2008 Page 8
www.commodorefree.com
Could be mitigated by transmitting player speed and direction to each client, which can interpolate other players’ positions in
between updates
=====================
SERVER
Written in Java 5
Platform independent
Trivial UDP networking
Receives and maintains all player’s positions on the track
Updates all clients with information on other players that are currently visible
=====================
SERVER THREADS
Receiver Thread
Receives data from all clients
Updates internal representation of game world
Updater Thread
Maintains list of players (watches for drop-outs)
Sends packet to all active players 20 times per second with details of what sprites to display
=====================
CLIENT
Written in 6502 machine language using the DASM cross-assembler
Controls local player’s position and displays sprites representing other players based on updates from server
Tracks damage and score
Transmits player stats (location, speed, etc.) to server 60 times per second
=====================
FUTURE PLANS AND IDEAS
Enhance the game to add ‘combat’ elements (weapons, other hazards)?
Build on this experience to make a full-blown MMORPG on the C64 similar to Ultima?
<Your idea here!>
========================
WHERE TO GET THE GAME
Grab a copy on disk from me today
Download latest version from www.petscii.com forums (Network Game Development section)
Look for opponents on the #c64friends IRC channel (www.c64friends.com)
=========================
CREDITS
Leif Bloomquist – Game concept and framework
Robin Harbron and Lasse Öörni – Graphics/display code
Oliver VieBrooks – Network library code
Raymond Lejuez – Graphics
Alexander Rotzsch - Music
Ian Colquhoun – Server hosting
Robin Harbron, Dave McMurtrie, Dave Hartman – Playtesting
Commodore Free = information taken from powerpoint slides used with Permission of Leif Bloomquist
July 2008 Page 9
www.commodorefree.com
Interview with C64 Endings
www.c64endings.co.uk
http://www.atfreeforum.com/c64endings/
Commodore Free.
Please introduce yourself to our readers
Vincenzo Mainolfi.
My name is Vincenzo Mainolfi (please call me Vinny) and
I love my Commodore 64.
CF. How did you hear about Commodore and what were
your first experiences?
VM. Back in 1982 my Mum kindly purchased a second
hand TRS-80 (Tandy Radio Shack). It was my first experience of home computing and I spent all my time learning to
program in BASIC. I produced quite a few games and
drawing utilities, and looking back at what software that was
available at the time, I should have sent my stuff to a
publisher, but unfortunately I was only 11 and didn't really
understand the industry.
My next computer was to be a TANDY COLOR 2, but the
Manager of our local Tandy store suggested that I purchased a Commodore 64 as they were going to be a
popular machine (a poor sales man, but a honest person).
So in 1984 I purchased my first (of many) Commodore 64
for £299 - without a datasette or disk drive!
From the moment I got my Commodore 64 out of its box, I
was in love. Because I didn't have a tapedeck or disk drive,
I spent the first few months learning Commodore BASIC
and produced quite a few funky, little games. Unfortunately, I couldn’t save any of them and would leave my machine
on for days so that I wouldn't loose my work.
It wasn’t until months later that I finally purchased a datasette and that’s really where my Commodore 64 world
opened up
CF. Do you still use Commodore machines today, if so what
do you use and why?
the whole game and reach the ending, and I want everyone
to benefit from my discovery. It probably all started with the
ending to Thing on a Spring (Gremlin Graphics) and The
Human Race (Mastertronic).
CF. When did the website start?
VM. Hmmmmm … back in the early 90s I was producing
5.25” disks that contained game endings to different Commodore 64 games along with a menu system. Quite a few
people wrote and commented on how great the idea was.
In 1997, I started to plan out an idea for a Web site that will
house the endings that I had already obtained, but I still
needed to teach myself HTML.
It was either late 1997 or early 1998 that I placed my new
site online. It was very popular and lots of fun.
Then, in 2002-2003, I asked my good friend, Frank Gasking, if he would look after my site whilst I took a break to
prepare for the birth of my daughter. He did an amazing job
but time also caught him up and he needed to spend more
time on his own great C64 site, Games That Weren’t.
The endings site disappeared for a while until Andrew
Fisher (Merman) started to stir up some interest for the site
to return. I felt it was time to bring the site back and so in
2006 I spent a few days designing a new face to the site
and placed it online for all to see and enjoy.
CF. What was the first Commodore Ending game you put
on the site?
VM. When the site first arrived in 1997, it was probably
Commando (Elite), but when the site returned in 2006 – I
remember this moment so well – it was Dalek Attack
(Admiral), which is why the ending page looks light on
comments.
CF. Is the website actively maintained?
VM I have many retro computers and consoles, but my
faves are my Commodore 64 and Amiga 1200. Unfortunately, I don’t have the space to set up my Amiga 1200, but
there will ALWAYS be space for my beloved C64 (with
Action Replay cartridge), datasette and diskdrive.
I use my Commodore 64 for playing new games and demos, testing old stuff and converting files to PC.
VM. Are you joking me? I try to add a new ending every day
and I also add new daily comments and info to our forum.
http://www.atfreeforum.com/c64endings/
CF. So these are the Endings of Commodore games are
they just Commodore 64games?
VM Yes - they are just Commodore 64 game endings.
CF. Commodore endings? Can you explain the motivation
for the website?
CF. What format are the endings in i.e. Storyboard or Video
and why was this format selected?
VM I’ve always been fascinated with game endings – it’s
the pinnacle of every game. You buy a game to complete
the challenge but sometimes you don’t get your money’s
worth when you get stuck on a certain level. I want to see
July 2008 Page 10
www.commodorefree.com
All the endings are in storyboard format, which house screenshots, comments and a score rating for each ending. Each
ending also comes with a .PRG file of the actual ending that you
can play on any emulator or real Commodore 64.
is an ending or not. There’s also comments from our
viewers that come via the forum.
CF. Do you use an emulator for the screen shots or are they
taken form a real machine?
VM I used to always do this even before playing a game
(I’m a cheat at heart). Unfortunately, I don’t get the time
to do this anymore and I rely more and more on cracked
versions of a game that houses a trainer. Recently,
Inge has done a great job in cracking games.
VM All screen shots are taken via the CCS64 emulator utilizing
the ALT-F1 screen grab function.
CF. Ok hardware or emulator what do you prefer and why ?
VM I love both: hardware for a real fix, and emulator for a quick
fix. I mainly use an emulator as it allows me to obtain endings
quite quickly. I use a real Commodore 64 when I want to sit
down and play an old game.
CF. Is your website a walk through or do you just show the
ending, what else is shown on the site?
VM I just show the endings as there are quite a few sites out
there that already house walkthroughs, long plays and solutions.
I also house endings that receive a 10/10 scoring, which I have
called Gold Medals; a list of games that don’t have endings; a
list of wanted game endings, and finally a contacts/FAQ page.
CF. You list the No endings games supposedly that had an
ending and didn't, do you think this was programmers running
out of time and being pressuredfor a game release?
VM I think it could be a whole host of reasons why these games
have no endings. We have to take each game as it comes and
make a judgment as and when.
CF. Do you have a list of favourite endings?
VM
1 – Thing on a Spring (Gremlin Graphics)
2 - Hunter’s Moon (Thalamus)
3 – Creatures 1 & 2 (Thalamus)
4 – Max Headroom (Quicksilva)
5 – Roland’s Rat Race (Ocean)
6 – The Human Race (Mastertronic)
7 – Bee 52 (Codemasters)
8 – Way of the Exploding Fist (my April fools version)
9 – Escape from Arth
10 – Ghostbusters (Activision)
CF. And what is the worst ending you have seen?
VM Hmmmm … there are quite a few crappy endings, but the
worst has got to be Zaxxon by US Gold; you play the game for
two levels and then it just says ‘CONGRATULATIONS’.
I was expecting so much more
CF. Do you plan an Amiga endings site or similar?
VM Nope – C64 all the way.
CF. Do you dissemble the games to look at the code?
CF. How many people are involved with the
www.c64endings.co.uk team
VM It’s mainly me who runs the site, but I have Frank
Gasking, Matt Rogers, Brendan Phoenix and Neil Collins helping out with gathering new endings and keeping the forum fresh. Inge Pedersen is also a great help.
CF. How can our user help?
VM By logging on the site and viewing the endings, and
then going to the forum and contributing comments. In
other words: have fun with the site and forum http://
www.atfreeforum.com/c64endings/
CF. Is there any question you would have liked to have
been asked?
VM Not that I can think of
CF. Is it true you used to produce lame Commodore 64
demos and stuff under the guise of Hackersoft?
VM Erm ... yep. I produced quite a lot of music hacks,
cheat programs, and loads of different graphic and
sprite style demos. I have recently produced a new site
to house my demos (www.hackersoft.co.uk). I've still
got loads more stuff to add to the site.
CF. Would you like to comment on where Commodore
went wrong?
VM What are you on about, man? They produced the
Commodore 64 and Amiga. How is that wrong?
CF. Do you think Commodore 64 is the best games
machine or is it rather the games that are created for a
machine rather than the hardware
VM The Commodore 64 is a great machine with great
games.
Keep up the good work.
Kind regards,
Vinny :-)
www.c64endings.co.uk
http://www.atfreeforum.com/c64endings/
CF. Do you use any cheats the get to the game ends?
VM I’d say that 90% of the time I use a cheat. I am really crap
at games and so I need some assistance. There are only a few
games that I have actually completed without a cheat.
CF. If a game just gets faster and faster like "magic Carpets"
how do you know there isn't an ending after a period of time?
VM Well, this is where the team members come into action: Neil
and Brendan will play a game over and over; Inge (and me
sometimes) will try and crack the game, and Frank and Matt are
a mind of information. All together, we suss out whether there
July 2008 Page 11
www.commodorefree.com
NO ENDINGS!
But you EXPECTED one!
www.c64endings.co.uk
Believe it or not, there are quite a few Commodore 64 games out
there that DO NOT possess a game ending even though you
expected them to have one! How many times have you read the
game instructions which tell you that you have to 'reach the end' and
eventually find that there is no 'end'?
To save you a lot of time and hassle, the C64endings Team have
put together the following list of Commodore 64 games that have no
ending (even though you expected one!)
- 1985 by Mastertronic.
Info provided in by Compound (on the LEMON 64 forum) on
27/04/07: the day after (after Level 8, the game makes you replay
level 7 after which you're in an infernal loop - the instructions state
there are 12 levels, so maybe it's a bug (a coder could perhaps take
a look)
- AFTERMATH by ALTERNATIVE SOFT.
Game just ends after 10 levels.
- APB by DOMARK.
There are 9 crooks to capture during the game, but even if you catch
all of them and they are in jail they just keep coming back. After level
99 the game loops.
- ATOMINO by PSYGNOSIS.
Sent in by Ivan Smolenski on 26/02/06: Loops after 999 levels.
- BIG MAC by MASTERTRONIC.
Sent in by C64endings Team Member, Brendan Phoenix on 05/12/
07: Loops forever.
- BEACH BUGGY SIMULATOR by SILVERBIRD. Complete
Round 8 and you go straight back to Round 1!!
- BEACH HEAD 2 by US GOLD.
Info provided in by Kobayashi (on the LEMON 64 forum) on 03/03/
06: Nothing happens after the knife fight. The game just ends as if
you have died!
- BIONIC GRANNY by MASTERTRONIC.
This game just gets faster and faster and is never-ending!
- BLADE RUNNER by CRL.
Sent in by Juan Manuel on 26/12/07: just starts over. I won the
game a couple of times. The game is exactly the same, you have to
chase the replicant through the street. The last replicant is the most
difficult because he/she keeps running along the back wall, but
everything else is the same. I'm sure there is no ending screen nor
music. I don't know if you were "awarded" one short line in the same
game screen for a couple of seconds before the game started over,
but that was it.
- BLAGGER by ALLIGATA.
Sent in by Neil Collins on 29/06/07: the game just loops back to level
one.
- BMX RACERS by MASTERTRONIC.
This game just gets faster and faster and is never-ending!
- BOOTY by FIREBIRD.
Sent in by David Craddock on 16/04/08: David sent in the ending,
but once you collect the final key the game reverts right back to the
start! No ending :(
- BOULDER DASH by FIRST STAR SOFTWARE. Sent in by
Vathism on 21/01/06: The Boulderdash games are never-ending!
- CATABALL by ELITE.
Complete Level 8 and you are taken to Level 1, again!
- COBRA by OCEAN.
Sent in by Inge & Brendan (via the forum) on 09/05/08: Game just
loops back to level one. Not as much as a well done !
- COMIC BAKERY by IMAGINE.
Sent in by Neil Collins on 20/05/08: Game keeps going up to level
99 - then back to 0.
- DEATHWISH III by GREMLIN GRAPHICS.
Info provided in by Brendan Phoenix 21/05/08: Been playing this for
a while and can see no ending in site - had a look on the Lemon64
forum and the opinion is the same on there that this game does not
have an ending.
- DIG DUG by ATARISOFT.
Sent in by Ivan Smolenski on 26/02/06: Loops after 99 levels.
- DRAGON'S LAIR 2 by SOFTWARE PROJECTS. Sent in by
Robbo on 10/02/06: I played this game for months and months back
when it came out. Eventually I beat the game using a poke for
infinite lives which took an eon to type out - especially for eight year
old like I was back then. Even with the cheat it took hours of play.
My reward? The high score table. A far as I can recall, this had not
one bit of an ending which was an injustice to such a superb and
difficult title.
- DROPZONE by US Gold.
It may be an arcade game, but I feel that it still needs a game
ending. Archer MacLean was kind enough to confirm to me that the
game does NOT possess a game ending.
- ELEKTRA GLIDE by ENGLISH SOFTWARE.
Sent in by Neil Collins on 20/05/08: Just rolls on and on forever... I
went around about 10 times... nothing !
- FORBIDDEN FOREST by Cosmi.
Info provided in by Kobayashi (on the LEMON 64 forum) on 03/03/
06: Little dance as usual then goes back to level 1 but much harder.
- FOX FIGHTS BACK by ImageWorks.
Info provided in by Kobayashi (on the LEMON 64 forum) on 03/03/
06: There's no end. At the end of each level it says "Good Hunting
Level [level number] Cleared" Got to level 10 and thought it can't go
any further, surely. When I finished that level it said "Good Hunting
Level A cleared".
- GATEWAY TO APSHAI by EPYX.
Info provided in by Cybergoth (on the LEMON 64 forum) on
14/05/06: it keeps repeating level 8 once you get there.
- G.I. JOE by EPYX.
Info provided in by Cybergoth (on the LEMON 64 forum) on
14/05/06: after a while imprisoned badies just escape from prison,
so it's not possible to beat them all.
Update from K-J-N on 14/05/06 (on the LEMON 64 forum): There is
a fun reason for this. From this interview with Jeff Johannigman,
programmer of the C64 version, at the Epyx Shrine:
Why is the game never ending?
"As for why the game has no end... Now THAT is an interesting
point. When I first came to Epyx and they put me on the GI Joe
project, they said "This is not a game. It's an ACTIVITY TOY."
"Activity Toys" were Epyx president Michael Katz's idea (Katz came
from the toy industry), to make products that were more openended, less goal oriented. I asked the other designers, and they all
came to the same basic conclusion - "design a game, just don't have
an ending."
- H.A.T.E. by Gremlin Graphics.
Info provided in by Ivan Smolenski on 15/07/06: The game loops
from level one after the last level, without mentioning anything it
could be the end.
- HYPERSPORTS by IMAGE.
I know it's an arcade sports simulation, but it could have had some
kind of medal ceremony!
- IMHOTEP by ULTIMATE.
July 2008 Page 12
www.commodorefree.com
Info provided in by Mikey303 19/05/08: The game does not appear to
have any ending and just loops back to the first level.
- SENTINEL (The) by FIREBIRD.
Sent in by Ivan Smolenski: 10,000 levels and no ending.
- INDIANA JONES & THE TEMPLE OF DOOM by US GOLD.
Info provided in by Brendan Phoenix 21/05/08: Final level plays for ever
so you can rack up points - no ending. Played this myself and read up
on some longplay comments on YouTube and they say the same!
- SIDEARMS by GO!.
Sent in by Neil Collins on 27/05/08: Game just loops back to
level one.... yawn
- INTERNATIONAL KARATE by SYSTEM 3.
Archer MacLean confirmed that this game does NOT have a game
ending. It's a shame because I think there is a need for one.
- SILKWORM by THE SALES CURVE
. Sent in by Neil Collins on 27/05/08: No ending. Just goes back
to the title page. Shame.
- JUNGLE STORY by MASTERTRONIC.
This game just gets faster and faster and is never-ending!
- SOLOMOM'S KEY by U.S. GOLD.
Sent in by Neil Collins on 29/06/07: does not have an end. Just
finished the final level (33) and it loops back to level 1. Not even
a well done ! Scumbags !
- KRAKOUT by GREMLIN GRAPHICS.
Sent in by Tilmann on 06/03/06: Just "finished" Krakout - brilliant as the
game is, after I finally reached level 100, it just started over. Level 001
and now being 101. Quite a disappointment :(
- LEVIATHAN by English Software.
Info provided in by Kobayashi (on the LEMON 64 forum) on 03/03/06:
Level 10 just loops once you finish it.
- MAGIC CARPET by MASTERTRONIC.
This game just gets faster and faster and is never-ending!
- SPACE HARRIER by ELITE.
Sent in by Neil Collins on 27/05/08: Has no end. Goes back to
level one.
- STORMLORD by Hewson.
Info provided in by Compound (on the LEMON 64 forum) on
27/04/07: After the level 4 bonus round, the game warps back
to level 1.
- MEAN MACHINE by CODEMASTERS.
Just 5 levels, and after the final 'QUALIFY', you go back to level 1.
- STREET SURFER by Parker Brothers.
Info provided in by Ivan Smolenski on 15/07/06: The game just
keep going and going an it never ends.
- MILK RACE by MASTERTRONIC.
Info provided in by Brendan Phoenix 10/06/08: 13 stages - what happens on the final stage? GAME OVER
- SUPER PIPELINE 2 by Taskset.
After completing Level 16, the game goes back to Level 1
without making any acknowledgement of completing the game!
- MISSIION A.D. by ODIN.
Info provided in by Brendan Phoenix 14/04/08: Looks like no ending had a level skip trainer and went up to level 200 - just looks like a never
ending loop.
- THRUST by FIREBIRD.
Sent in by C64endings Team Member, Brendan Phoenix on
05/12/07: Loops forever.
- ONE MAN AND HIS DROID by Mastertronic.
Info provided in by Kobayashi (on the LEMON 64 forum) on 03/03/06:
Just goes back to level 1.
- PARK PATROL by Activision.
Info provided in by Henrik on 02/11/07: Perhaps there is one, but I never
found one in "Park Patrol". After 3 1/2 hours of playing, I was at level 99
(which never increased), with 99 lives and 999,999 points. (Or was that
99,999? Anyways.) So I tried dying, and made it down to about 40 lives
left when my old black-and-white teevee gave out on me. *sob* It had
never been on for that long in one sitting before. Still a great game to
play. Possibly even better for not having any ending, just getting more
and more enemies and cans to pick up and .. stuff. And music I can still
remember. *brr* Sticky, clingy, bouncy music. Help!
- PARADROID by HEWSON.
Sent in by Edvard Kramer: "I finally killed the very last remaining rogue
droid on the spaceship. And immediately had to start with the old .001
influence device from the very beginning of the game. No trumpets of
victory. Not even a cold handshake from the fleet commander."
Update from Craig Grannell on 15/01/06: Your Paradroid listing isn't
entirely accurate. What happens when you complete a ship is you get
put on to the next one, which is harder. After clearing "all" of the ships,
you end up in a loop, constantly being put back on a ship called
something "puntastic" like "Itsnotardenuff".
- PUNCHY by MR MICRO LTD.
Sent in by C64endings Team Member, Brendan Phoenix on 05/12/07:
Loops forever.
- RAMPAGE by ACTIVISION
Sent in by C64endings Team Member, Brendan Phoenix on 15/04/08: I
had a trainer which lets you start at the last level (132) just loops - so no
ending.
- ROCKY HORROR SHOW by CRL
.Sent in by Inge Pederson: I got a deja vu and just had to check the game
once more. Except from the hires pic, there is no actual ending. ie: a)
When you get killed, the game presents you with an up-scroller. b) When
you finish the game, you get the picture of the mansion for a few secs,
and then the game jumps to the same up-scroller as a).
- THUNDERBOLT by Codemasters.
Added by C64endings Web Master on 10/04/08: Loops forever.
- TOY BIZARRE by Activision.
Info provided in by Vinny Mainolfi on 16/03/07. Once you have
completed Friday, it goes back to Friday, Hour 1!! Round and
round it goes :-(
- TROOPER TRUCK by RABBIT SOFTWARE. Here's another
game that just gets faster and faster, resulting in harder and
harder (oo-er, missus!).
- VELOCIPEDE by PLAYERS.
Complete Level 5 and without any warning, it's back to Level 1
!!
- VIXEN by MARTECH.
Sent in by C64endings Team Member, Brendan Phoenix on
05/12/07: Loops forever.
- YIE-AR KUNG-FU by IMAGINE.
I remember playing this one for HOURS and watching it go
round and round until I gave up on seeing an actual ending.
- ZULU by Firebird.
Info provided in by Brendan (Fiery) Phoenix on 05/05/06: No
ending for Firebird's Zulu. Bit disappointed on this as no trainer
available I played it through to completion. I was hoping like
Firebird's Go-Go The Ghost from the same time - it too would
have a cool little ending, but no - you collect the 100th golden
mask and it sends you straight back to the start. Boo.
- ZYNAPS by Hewson.
Info provided in by Kobayashi (on the LEMON 64 forum) on
03/03/06: Goes on forever!
Reprinted from
www.c64endings.co.uk
- SAM'S JAM by ABRASCO.
I LOVE THIS GAME! In fact, when I first purchased it way back in 1984
(£1.99) I played it for 8 hours SOLID! As with all the games on this page,
there is no freeking ending!
July 2008 Page 13
www.commodorefree.com
Interview with Commodore programmer
Antonino Porcino
author of Gomoku
http://xoomer.alice.it/aporcino/Vic20/
Commodore Free:
Please introduce yourself to our reader
CF: Can you tell our readers about Go-Moku what it is and
briefly how to play
Antonino Porcino
Hello, I'm Antonino Porcino, the author of Gomoku and
some other VIC-20 games. I'm 36 and live in Italy, working
as computer programmer.
AP: Gomoku is the classical 'X' and 'O' game where you
have to connect five Dots before your opponent does the
same. Can be played also with "pen and paper" and for this
reason is widespread known around the world (usually
under different names). It has simple rules but a very
complex playing strategy. Mathematicians say that
Gomoku is a "closed game" in the sense that who moves
first can always close the match with a win (like in tic-tactoe), but this is true only in theory because of the exponentially high number of possible moves. So there isn't a
"perfect" play, and computer players have to use some kind
of strategy. The one adopted in my program is basically to
look for some particular board configurations and play
accordingly.
CF: When did you first come into contact with Commodore
machines
CF: You ported the game to the c64 and plus4/16 machines
where there any problems with the conversion.
AP: It was back in 1984 after I managed to persuade my
parents to buy me a VIC-20. I really didn't know what could
be done with a computer, I figured out that it was possible
to play some form of games as in video game consoles,
and that was enough for me to start craving for a VIC. I was
twelve.
CF: Was the Vic your first machine and do you own other
Commodore machines
AP: It was my first computer and I simply loved it, spending
most of my free time experimenting with it. I later owned a
Plus4, a C=64, and of course an Amiga. But I lost my
machines along the years so I had to buy back the VIC on
ebay. And a friend gave me his C=64.
CF: Do you think there is still life in the Vic 20
AP: Yes, there is a small but very active community that
rotates around the "Denial" website run by Jeff Daniels. In
mid of 2008 we already have 7 titles released for the VIC.
The community provides an ideal environment where you
can discuss technical subjects and share your experiences.
It also help to keep the interest alive.
AP: I wrote the program with the idea of portability from the
start, so I didn't use any special machine-dependant effect.
I limited myself to definable character graphics and to
standard calls to the ROM kernal. After the VIC-20 version
was ready, I converted the it for the C=64 because of the
similarity with the VIC (most ROM and zero page is the
same). The only work was to adapt it to 40 columns, and
indeed I faced the problem that my routines in the 64
version exceded the 256 bytes indexing Capabilities of the
6502.
So I downgraded them to a slower version that worked for
both machines. The C16/Plus4 version came later, and was
relatively easy to do because all the 40 columns work was
already done for the C64. I had only a trouble from of a bug
that didn't show on the VICE emulator but that appeared on
the real machine.
CF: How much memory does the game use, did you think
it may not fit into an unexpanded machine
AP: Working with the VIC20 taught me how to save bytes.
For example my Go-Moku program does its calculations
directly in the screen memory, re-using the "free cells" of
the board instead of having a separate memory area dedicated for calculations. In the download page of the game I
show a POKE command that makes visible the calculations
that are being done in the free cells. It's nice to see.
CF: Do you think there are features of the machine still
untapped by programmers
AP: Not really, the VIC-20 is a relatively simple machine,
and that's why I love it, in the sense that you can expect to
"master it" if you put in enough effort.The same thing for
example can't be said for a PC where everything is so
unnecessary complex and certain parts of its architecture
are secreted.
July 2008 Page 14
www.commodorefree.com
CF: other games on your website are Tetris / Pong and Return
To Fort Knox can you tell our readers a little about these games
AP: "Tetris" was the program that made me acquaint again
with the VIC-20 and 8 bit programming after twenty years.
There was no such game for the VIC so I decided to write an
implementation.
"Pong" is a joined effort together with another VIC-20 enthusiast and countryman "Nbla000", aimed at reproducing the exact
Pong hardware game.
AP: Not only. With the macro language tool that I've
created I can work at big projects, while I can write only
small useless routines on the real machine without
cross compilers.
CF: Have you considered programming purely on the
VIC with no other tools other than software available on
the machine
AP: No, I don't consider it as an option, especially as it
regards BASIC programming. It's no longer attractive
to me, although in the days I was a very active BASIC
programmer.
CF: 3k of memory was an incredibly small amount of of
memory do you think this limited the machine
AP: Yes of course, but that was balanced by programmers who became more creative!
CF: If you could change 3 things on the VIC20 what
would you change and why
"Return to Fort Knox" is a total different story. One day I started
to disassemble the Commodore cartridge "Raid On Fort Knox",
doing an intensive reverse-enginering work lasted one entire
weekend. At the end I came up with the complete game source
code, so it was natural for me to extend it, adding new levels
and a small different game play--but still maintaining the original look and feel. I like to think that this sequel is a tribute to the
original game, being it the first I ever played on my VIC.
CF: Do you intend porting these games to the c64 plus4/16
machines
AP: Well, maybe "Return to fort knox", but not Tetris or Pong
as there are already good implementations of these games. I
prefer to dedicate my time to something that hasn't been ported
yet.
CF: Are the any projects you are working on at the moment
AP: Oh well, this is something I daydream a lot about.
If I was Jack Tramiel at the time, I would have increased
the screen size because it's too limiting to have a 22x23
screen, expecially when editing BASIC programs. I
would have also included some 16 bit operation (like
INC or ADD) in the CPU, perhaps dropping the totally
useless BCD mode. And, what about having a better
ROM kernal with more built-in commonly used routines. For example joystick reading, or some form of
graphic sprites. I believe awell written ROM kernal
could have balanced the small memory issue of the
VIC-20.
CF: What motivated you to write software for 8bit Commodore machines
AP: Having explored the world of computer programming in almost every aspect I felt the need to return
back to my roots to the point where this long journey
started. It's like a circle that closes itself.
CF: Do you have any further comments you would like
to add ?
AP: Thank you for the interview and I hope I have
raised the interest of your readers. Good BYTE!
AP: Nothing at the moment, I'm looking for inspiration.
CF: Is there anything our readers can do to help with the games
AP: Not at the moment
CF: How do you programme do you use cross platform tools or
purely on the VIC
AP: I cross develop on the PC, test on the emulator and then
on the real hardware when finished. I program in machine
language, but in a different way than the traditional one. I use a
macro language of my invention that allows me to write an
highly structured assembler code. For example I can put a
FOR-NEXT or nested IF-THEN-ELSE in the code and have
these statements properly translated into machine language.
This frees me completely from labels and from the "branchhere" "branch-there" style of programming. The resulted code
is very compact, looking like a middle-way between visualbasic and machine language.
CF: Why use cross platform tools is it purely speed of development
July 2008 Page 15
www.commodorefree.com
In the Beginning Part 6
\Lord Ronin from Q-Link\
the 40 characters on the
screen line. No comma and it
just does one line.
Next is seeing that a computer
programme is more literal than
me. It will operate from the
lowest number line to the highest. Unless some other command moves it to a new
location in the programme. In
this instance it is the goto command. Telling the computer to
print line 10. Then on 20 it is
telling it to return to line 10. Do
the action there and when it
automatically drops to line 20.
As the programme will drop to
the next command line after
performing the previous line
function. The function on line
20 tells it to go back to 10. We
have a forever loop here. Not a
real great programme. Element of it is used a lot in programming.
That was a lot to present. Now we are at the last file for this disk
side. We are going back to the manual and the bits on introducing the user to Basic v2 programming.
Book takes us to the "Variables" next. Sort of like the
math term, if you went into algebra and trig. If not then
this may actually be easier for you. Learning the terms
without preconceived notions of the meanings.
Remember that you can use the ? to replace the word print.
Lets mess with a few keys. We did editing a bit already. Did a
bit on the print thing. Lets mess a bit more with the print thing.
So type in the following or something close to it.
10?"commodore", <yeah put in the comma and then press
return>
A variable is a something that can change in the course
of the operation of the programme. It is also a holder of
a something. And if you understand that explanation
you are much better than me.
V=9.23
V%=100
V$="since 1978ce I've played AD&D"
20goto 10 <return again>
Now type RUN. Or if you are close to being as lazy as me. Just
type R and a shifted U. The U will be that quarter circle on the
right side of the U key. If you are in upper case. If in lower case
it will look on the screen as rU. That is the short hand programmers way of telling the computer to run. Do need to press
return.
You now have four commodore across the screen running on
forever until you press the run/stop key. Do that and then on
line 10 of the programme. Delete the comma and run it again.
Remember to press return on the line. that locks in what you
write or edit. No return and it keeps what was there or doesn't
record it to memory.
What you now have is a string down the left side of the C=
saying commodore. Or what ever you put in there. Only difference is the comma. Oh yeah press run/stop to stop that or it will
go on forever.
A few things to see about this right now. That comma made the
print on the screen come out in 4 per a line. Less if you wrote
more characters in the word to be printed. This is setting the
print to each of the 4 groups, or tabs at the 10 space mark of
That is a light hearted look at the three types of
variables in the C=. First one V=9.25 uses a floating
point. You get the decimal part of the number. V%=100
will give you what they call the integer number. No
decimal point. V$= well the text that I wrote in the
quotes. Is called a "string". OK full title is a text string.
But I know of no one that calls it that. According to the
book these are memory locations in the computer. No I
don't understand that at all. Said I was a lamer at
programming. And at this point in time that bit isn't
important for you to use the C=. Just telling you what
the book says.
A programme they give you to type in to understand
this variable part is..
10X%=15
20X=23.5
30X$="THE SUM OF X%+X ="
Note that the actual math computation is not in the
programme lines. This is to show you the things of or
for a variable.
10X%=15
July 2008 Page 16
www.commodorefree.com
20X=23.5
30D=X%+X
40X$="THE SUM OF X%+X ="
50?X$,D
Might work, I just came up with that lay out to show you
some points we will deal with in the future. Basically what
we have done in the above is to define the floating, the
integer and the text. Then add the math part. Giving it a new
variable lable. Line 50 is supposed to print out the text and
then the actual result. Here is one based on the Commodore programme lesson book.
10Z$="CAT"
20A$="BOX"
30?Z$+A$
Now if I remember that correctly the print will print out the
word "catbox" on the screen. Just showing you how variables can be combined in a programme.
Before we go any farther along. There are some things we
will be doing in typing in a programme. You may want to
save these to disk or tape for later. Tape users, make
certain that there is nothing on the tape you want to save. I
personally take a pencil, ah the standard wooden one, and
put it in the hole. Slowly twisting the wheel till the leader
tape is past the cotton pad. That way you know that you are
going to be on recordable media when you start to save.
Saving the programme to tape goes this way. You type
SAVE"name you give it" note that the name can not be
longer than 16 characters.
After hitting return. You will see on the screen
a tendency to fall off over time. So there may not be a lable
on the disk. But it is a factory disk. Looking at the directory.
Seeing the listing of the files and the reverse video bar
above it with the title and the 2 character id code. Well that
can help you decide if it is a good to use or not disk. Not the
id code as much as the disk name. I have seen on factory
disks for id codes. Well things like "s1" or "sa" to indicate
the first side. I have seen them use "00" and "01" to indicate
the sides.
And other forms that are simple that many beginners use
for their own disks. Some I have seen use a name in up to
5 charcters. This isn't a sign of a factory disk. I have a small
tool that lets me make 5 character id codes. What you are
looking for more is the name that the disk was given.
Certain non media broadcastable words, are a big clue that
the disk isn't factory. "GREG'S STUFF" is another type of
clue.
I'm going into great detail and pains on this one. At your
beginning level, well honestly you don't know what you
have or how to use it. You could destroy a disk of important
tools and utilities that you would or could want in the future.
Trust me on this one, I have done it in the past more times
that I want to admit.
If you have unformatted disks. The ones that made the
drive make haunted house noises and then did an error
thing. Then you need to format it. If not then we have a
couple of things to do at this point. One is to knowthat you
can buy 5 1/4 inch disks. There are some companies that
sell new ones online. Places like ebay have some from time
to time for sale. Just need to look around. I scored some up
from a computer repair shop and from a close out at
stationary store. Remember that you want double sided
double density and soft sectored.
PRESS PLAY AND RECORD ON TAPE
Do that and the screen goes blank. Becoming, or so it says
the same colour as the border. Tape takes some time, but
when it is finished. You will get that READY prompt on the
screen.
Now disk users. You have a little bit more to work with at
this point in time. First do you have a disk that you can use?
Before you answer that one. Take a moment to reflect. If
you are like most people I have started off on the C=. Your
set up is used and there may be a hundred disks. Which
one to use? Well if you have some that are unused. That is
great. Those are the ones that when you do a directory
listing. Come up with nothing. Just an error. Remember that
you type in LOAD, wait a moment lets get lazy and do the
short cut. That is the L and the shifted O. Symbol for that in
upper case is that upper left angle on the right of the key.
In lower case it would look like lO. Now if you have jiffy dos
it is just the F1 key. If you have a cart like the MACH or the
TURBO and there are some others. Try just the $ symbol
for the directory.
Those that are stock. The command is lO"$",8 then press
return. That lO is the short form load command. The "" part
is the border for the item to be loaded. Since the $ is in that
bordered area. You are loading the $ or the directory of the
disk. Comma separate and the 8 is the device number.
Once that is done, press LIST or the short form of L and a
shifted I. In upper case it is the right upper circle part on the
I key. In lower case it looks like lI.
If the directory lists the things I mentioned in an earlier
installment. Then put it off to the side. If it doesn't do a thing
and sits there after some scary noises from the drive. There
is a good chance it is a blank unformatted disk.
Guess it is now time to go into some of the stuff on a disk.
Factory disks had a nice lable put on them. Which also has
Lets take a look at the disks that you put in that pile of "I
don't know what the smeg they are." Odds are that there
are a few of them with very little on them. You see some of
the games, want you to have a save disk. So the previous
owner took a disk. Stuck it in the machine and had the
game programme format it for him. This saves his game in
progress. In fact on some you can save multiple games. But
the point is that the disk is formatted. Most of the time it will
work as stock.
But I have to say here that there were some that did a non
standard format for the game. I haven't found many of that
sort thatwould read right on a directory search. Well there
could be 200 of more blocks free on the disk. When you
save, unless you use the same name as an existing file.
The disk drive micro processor checks for names, and for
space. So it won't write over anything existing.
Another thing that you might see and I mentioned lightly
earlier. You disk may have only one side with that square
type notch. I have taken in collections that way. Here we
need to be careful. The disk could be a factory that uses
side two as a read only disk. In fact if you have disks with
no notches at all. Most likely you have a factory disk. That
notch hole allows you to write to the disk. No notch, no
writing. Sub note, there are ways around that fact.
Speaking of that before we go farther. You may find disks
that have a bit of tape over the notch. These can be black
the most common, white and a silver one. That last one is
in some machines worthless. Reflecting the beam back and
has been known to fake the drive into thinking there is a
notch. Disk boxes from the store had labels, the disks of
course and a sheet of these notch covers.
Over time they dry out and slip up. Making a mess in the
drive and hard to insert. Labels do the same thing, if not
well placed on the disk. Well that disk notch cover means
July 2008 Page 17
www.commodorefree.com
that the data was important to the previous user. Doesn't
mean that it is important to you. But leave that disk to the
side. Might have some things that you need later on.
Back to the only one sided notched. If you have a 1571 in
your collection. Take the disk directory and add it up. Add
to that the blocks free, and subtract it from 1328. Should get
a 0 if it is a 1571 formatted disk. If so, put it off to the side
for now.
However if you don't have a 1571 drive and you have
single notched disks. These disks are tested and are not
what you would think as factory disks of some sort. Yes feel
free to load them up and see what is there. As I said some
factory disk games use the reverse side for the data. But
you can't write or save to that side. Have to turn the disk
over. If that isn't the case. Then you have a disk that has a
virgin side. The previous owner didn't notch it and it has
never been used.
But how to notch it? Well the easiest is a disk notcher.
Which you may have in the box of stuff. Take a look, it is in
different forms. But the basics are the same. On the top is
a push button about thumb size. Along one side is a long
slot. If you find that sort of thing, plastic or metal, I have
both. Then you probably have a disk notcher. Why didn't
the guy notch the disk? Well disks didn't come double
notched for the most part. You do a hundred or even ten at
a time, and you will see why. I did over a dozen each month
for the users group. Hated that task. Ones hand gets very
sore. Anyway, if you have one. Just slide the non notched
side into that slot.
Get it in tight both to the inside and to the top of the notcher.
Then press down on the spring loaded button. Hey if it feels
like they put in a truck coil for that spring. You have the
same type as I started with at my beginning. Well now if
things worked out. You will have a bit of the plastic jacket
come out the bottom. Safety note, grab that and toss it
away if you have pets or small kids. The notch should be as
deep and exactly at the same level as the original one. Just
on the other edge of the disk. OK I admit that there are
times that I don't get it just right. So back in the notcher it
goes.
What if you don't have a notcher? A reason why the disks
in your collection may all be just one sided used. Some
users didn't know that they could notch the disk and use the
other side. But if you see disks, looking at the top or label
side that have a weird sideways V cut. Or a half round cut.
The previous owner used the cheaper and more dangerous
method of disk notching. I would suggest hunting around on
the web, the net and locally to find one laying about. A disk
notcher I mean.
But failing that task and wanting to get to the C= right now.
Here is what you do, and it is dangerous to the disk. You
can use either a pair of scissors, that is the style that makes
the sideways V cut. Also the most dangerous of the two
methods. Or you can use a paper hole punch. That is what
made the half circle looking notch. I met one guy that was
expert enough to use an exacto knife. I don't suggest that
one unless you have good eyes and very steady hands. I fit
neither of those classifications.
Most people would take the sleeve, that is the paper holder
for the disk. Line it up level with the existing notch. Then
carefully clip with either of the above tools a little notch on
the side. Sounds easy? Well here is the problem. Inside
that disk jacket, the plastic part, is the round magnetic
media. Clip that and the disk is trash for the most part. OK
depending on how much is on the disk. You may be able to
save the files to another disk. But don't risk it. If you have to
use this method. Well you can see the depth of the factory
notch. Go less than that to be safe. Or the disk is fairly well
ruined.
That all being said in as much depth and warning as
possible. Time to format the disk. Despite any fast loader
carts or jiffy dos. We are going to do it this way.
open15,8,15,"n0:disk name,**":close15
OK in as little technical talk as possible. You are opening
a communications path to the disk drive. That is the 8 part.
The 15 and there are two of them there, well it is complicated and to be as brief as possible. This is the channel to
send and to receive information from the disk drive. I use
15 as it is common and 15 is the one that will send back any
error. OK you can use up to 255 as the channel number as
that is how many there are from what I have been told.
Gotta have those commas for the pause direction thinggy.
Don't worry about that part.
Just copy that into your format line. Quotes are needed to
set up what you are going to do, yeah sort of like the print
statement. Now the N0: part is for formatting the disk. The
command to format. Disk name is what ever you want up to
16 characters and yes you can use spaces. Those two **
things, are to represent the two characters from the KB that
you use to specifically code this disk. End the command
with the close of the quotes. Thsymbol separates commands on a line. Since we opened 15 now we have to close
15.
Enough technical talk. Really won't mean a lot to you till
much later on. Sort of a little teeny bit of ground work on
some techy stuff. After you typed open15,8,15,"n0:disk
name,**":close15 Press return and you will hear the disk
drive rumble, grunt and perhaps even make a grinding
rattling noise. Light may flash rapidly, causing you to worry
that you did something wrong. That is the head setting up
for the formatting. All that track and half track with sector
stuff. Not time to go into that stuff. Head just has to go into
the right place.
May hear a clicking noise coming from the drive. That is the
head moving one track at a time out of the 35. Drive will
eventually stop. Green light will be out and the READY will
be on the screen with the flashing cursor. Well if everything
goes right. There can be some problems and that is another
section to deal with for more advanced beginning. Suffice it
that if the stuff written above doesn't happen. You got a bad
disk or drive. Sorry but that part is for later on in the series.
Check the directory to see if it did format correctly. Did you
get the name and ID code right? Probably, but there could
be another problem. I have had to do the format more than
once on the same disk side. Not because I did anything
wrong. Just that disks that are 10 years and older. That
haven't been used, like that side 2 part. Need to be formatted 3 or 4 times.
What happens is that it stops during the format. Either the
clicking of the head movement stops real fast. There is
almost a lort of purr like noise at the end of a format, at least
on my system. OR the click starts at the steady rate and
then slows down. Exactly why, I don't know, just pass it
along that the disk can be set in its ways and needs to be
hit a few times with the format command to work.
Might get to this again later. But for right now, here are
some other commands. To save space, my fingers and
your eyes. Lets just go with it stated that each of these
needs the open15,8,15, part and after the quotes the
:close15 part. OK you can be short and use oP in lower
case to open and cL to close.
July 2008 Page 18
www.commodorefree.com
"s0:filename" This will scratch the name of the file you
select. Scratch means that it isn't on the directory anymore.
But it is still physically on the disk. Until you either record
some other programme thing over it or
"v0:" and that is validate. Closest to that on other platforms
is defrag, or so I have been told. Don't have any experience. Validate picks up the bits and in a simple term,
tightens up the disk space. One book I read said to validate
after every three scratches. I don't as a rule myself. More
like 5 or 8. This moves stuff around on the disk. Which will
destroy the scratched files. Right the feds can't read the
disk. <SEG>
"n0:filename" No this isn't format. There isn't the 2 character id code. This is new the disk. Basically it just erases the
directory. Sort of tear out the table of contents for a book.
Files are still there and with tools can be recovered. A fast
format way that has some drawbacks and I know long time
crackers that won't use this command.
"i0:" Initialise the disk. Some books say to do this every time
you put another disk in the drive. Main reason is that if there
is a chance that the id code of one disk is the same as
another disk. Well the computer will work as if it is the same
disk. At least in the BAM, or Block Availibility Map. I have
also seen it as Block Allocation Map. In short that is the disk
roadmap where things are located on the disk. Hard to drive
in Liverpool England, if you are using a Portland Oregon
Map. In the computer case the result can be. You write over
things on the disk. Because the old map said it was empty.
Lets say that after all of that dull stuff. You have a disk that
is ready and we are going back to the Variable thing now.
V V% V$ are the three types. Yeah I know they just love to
use X in the examples. But I am antiestablishment.
V% give the whole number. V gives the number with
decimals and V$ is for printing text. Well there are 26 letters
and 10 numbers that you can use for variable names.
Meaning that you have 36 possibilities for a variable? Well
I cheat and programme in lower case. Using Upper case
characters as well. Tip here is that not all upper case work
that way. Still not to worry. 36 is a big number. Well it gets
bigger. You see the book takes time to bring his up. But you
are not limited to V$. Nope you can have V1$-V0$ as well
as VA$-VZ$ 26 letters and 10 numbers, that you can use
singly and in two characters for your variable. Makes that
number a bit higher. Though a bit early in this drivel.
Variables can also be reused in programmes. We, OK I am
not ready to go into that at this time. Lets end this part with
the understanding that when you change the value of a
variable. The new one completely takes over the old value.
Book says it with the example X=X+1.
variable called ct. Think of that as a short form of "CounT".
This is set by the "=" sign to be at 0. Next line is the stock
print statement. Telling the computer what we want to print.
Now we have that "ct" again. This time it is set to add 1 to
the value of ct. Seeing how a variable can be used more
than once. 40 asks the question is ct less than 5. If so then
go back to line 20. Which is the print line and we keep going
around till ct is 5. At that point the programme moves to the
next line, which is end and that shuts off the prg.
Book doesn't go any farther in a use of IF THEN. Well it is
written for the first timer. I use it in some of my work to send
the programme to a specific area. IF certain conditions are
met. THEN it goes to that area of the programme. One that
comes to my mind is a programme I wrote for AD&D
experience point calculations. Merely took the data from the
book and made it a programme. There are over 10 basic
things for the start. These are the Hit Die of the monster. IF
HD=8 THEN 300, is sort of the line that I wrote. User had to
type in the HD value. That became the variable and the
math started for the calculations on that specific line. Have
seen a lot of simple menu programmes that use the same
IF THEN style to load programmes.
At this point you may want to save the little prg to disk. we
did the tape one earlier. On a blank line type
save"name file",8 <press return> Give it what ever name
you want, and it should be making the disk spin and you will
in a short time see that ready and cursor flashing again.
So there are some weird things to use in a programme. I
mean like that "<" thing above. Here is a chart of them and
what they mean.
< less than
> greater than
= equal to
<> not equal to
>= greater than or equal to
<= less than or equal to
Not a great help at this time. Something for future reference.
That is followed by the FOR NEXT LOOPS. But that and
the example will be in the next part. Out of space again.
Talk too much I guess <BG>
Next comes the IF THEN statement. Simply put. IF this part
is true THEN go to this. Conditioner thing for the programme. Book gives the following thing to type in.
new <type in and press return. Clears the memory for you
of anything left behind. Additive: most of the time>
10ct=0
20?"commodore 64"
30ct=ct+1
40if ct<5then20
50end
Remember to press return at the endof each line. A
common fault in doing type ins is forgetting that keypress.I
am very guilty of that. Now type rU and see what happens.
You get the word printed out 5 times. Lets figure out why.
Well the secret is in line 10. Here you see a two character
July 2008 Page 19
www.commodorefree.com
TND Creating music with DMC
http://www.redesign.sk/tnd64/music_scene.html
Created by Richard Bayliss
with Special thanks to Rio / Rattenrudel
PART 3
Commodore Free would like to thank Richard Bayliss for his
permission to reprint this guide Many users would like to make
more of there machines, we all have various talents and if you
felt inspired to create music on a Commodore 64 where would
you begin, in this guide you are lead through the various
options, for creating music with versions of DMC music editor
The Guide has been broken down in sections the disk image
that accompanies this series is available from here
www.redesign.sk/tnd64/
DMC%20Music%20Editors%5BTND%5D.zip
the disk contains
DMC V2.1 (GRAFFITY), DMC V4.0 (GRAFFITY) + Docs (By
Richard), DMC V5.0, DMC V5.0+ (CREAMD/C64.SK), DMC V5
PACKER, DMC V5.0 SCANNER and DMC V7.0
(GRAFFITY+UNREAL)
2.2.4 Filter
If you want use filters, you have to define which
filterset should be used. First you have to create an
own filterset in the Filter editor (take a look later at
this chapter). The number of filterset should be written
down below F parameter. To activate the filter - take a
look into FX Chapter.
pulse will not be resetted anymore)
Bit 3: NO GATE FX (holds your note down, until
a GATE is set)
The High Nibble (4 bits left) represent the waveform type:
Bit 4: HOLDING FX (Note will not be released)
Bit 5: FILTER FX (activates FILTER, which is
defined by F)
Bit 6: DUAL EFFECT (playes Wavetable at half
speed)
Bit 7: CYMBAL FX (adds short noise in front of
a sound)
The variations of x values (Low Nibble) or y
values (High Nibble) can be combined for mixed
use. So a 2A will activate Bit 5 (activating filter)
and Bit 1 + Bit 3 (no filter reset + no gate),
because 2 is the high nibble and gets a binary
value of 0010 and A is the low nibble and gets a
binary value of 1010. ok?
2.3 Filter Editor
We change back to main menu and go into the
2.2.5 Vibrato
Vibrato can be controlled by V1 and V2 parameter. For
V1 xy values, x represent the pause before the vibro
should start. y sets the value of range, in which the
pitch should swing around. V2 xx can be used for
modulation with V1 y parameter. V2 allows a higher
range.
2.2.6 FX
FX is a 8 bit value to control several flag:
The Low Nibble (4 bits right) represent following parameter:
Bit 0: DRUM EFFECT (pitch will be ignored in sector
editor, in WT: pitch values will step in higher range)
Bit 1: NO FILT RES (for every played note filter will not
be resetted anymore)
Bit 2: NO PULS RES (for every played note
Filter Editor. In that view, we can't copy and
paste, but it's still possible to store different
filtersetups. You can switch between the different settings with + and - keys.
Before we start to create an own Filter, first we
need to adjust an instrument in Sound Editor.
You have to choose a filterset number (F) between 0..F and then we activate the filter (FX:
20) for that instrument. Then we go in Filter
Editor again and we choose the same number of
F for (FLT) and define following parameters:
Test it by pushing the space key. It should sound
very filtered. If you use a 6581 SID Chip (you
will find them mostly in a breadbox, not that flat
case) you should try instead for number (##) 5
a higher values.
Notice that all these setting are different for
using both SID Types (6581 /8580). You have to
choose higher values on the 6581, otherwise the
filtered instruments sound to deep. Pay atten-
July 2008 Page 20
www.commodorefree.com
tion if you work with a 6581, that you have to set
filtered sounds only in one channel! If you use that
8580 chips then a simultaneous use of filtered sounds
in all three channels is possible. Composing a tune for
6581 or a compatible tune for both types should only
be filtered in one channel at same time.
above, that the values of steps are facing each
other (01<->FF). For a Triangle LFO, we should
use the same duration and same step amount
for going up and down. So 01 will increase with
1 step and FF will decrease in 1 step too.
2.3.1 Parameters
Ok, now is time to clear up the meaning of parameters.
From left to right:
R:
T:
Resonance / Rate
Filter Type
Bit 0: Low Pass
Bit 1: Band Pass
Bit 2: High Pass
## CutOff Frequency (frequency, where filter are take
effect)
RT: Repeat Step-Position (01..05)
ST: Stop at a defined frequency step, if that step is
reached
The example above shows a LFO with a longer
pause between gliding up or down. Xy adjust the
duration of a step-position (S1,S2...).
That example below will run in more weighten
steps. Insteed of 1 step it will raise and sink with
2 steps.
We are able to influence the repeats of a LFO
too. That example will pitch up:
S1 X1: S (frequency steps up/down) and X (duration)
...
S6 X6
Rate / Resonance defines how much effect a filter will
take effect (F is max). The SID allows you to set up and
to combine 3 different filter types: Low-, Band- and
High-Pass. In our quick example we only used Low
Pass, but you can combine Low- and Band-Pass by
writing a 3 instead 1 too (e.g. 7 will activate all 3 filter
types). The next value below ## represents the CutOff
Frequency. If you havn't write a number there, you
won't hear anything.
We can influence the length of an envelope too.
That following example will stop the envelope, if
the step value reached 1D (ST). Notice that the
cutoff value have to reach that hex number,
otherwise it will be ignored. 1D will be reached,
because we always steps 3 values up and then
2 down:
2.3.2 Filter Envelope
If you want to use filter envelops or create LFOs, then
the next parameters can be configured in different
ways. The first two params (RT and ST) are only useful
if there is filled up the 6-table (Sx Xy).
An example:
The Sx Xy parameter will pass through in a chronical
order. You should always start with the first (S1 X1).
That example runs through that filter envelope in a
form of a LFO. For understanding, you have to notice
that Sx always represents the frequencies, which will
steps up or down. Here, it will first steps up and then
steps down at the end of envelope (S6 X6). Then it will
start again with S1 X1.
The direction and the amount of steps for a position will
be defined in Sx:
00:
01-7F:
80:
FF-81:
nothing
up (slow..fast)
mid
down (slow..fast)
In that last example below the envelope will be
repeated to S3 X3 after every pass. Higher
values than RT = 06 shouldn't be used. Seems
it will not have any functionality or will set a
wrong state.
Please notice, if an overflow occurs, all counter
routines of a byte will start again at 00. If we
decrement a byte value e.g. at position 00, the
next value will be FF. If we increment FF, next
value will set to 00.
2.4 Track Editor
The Track Editor will be shown if we leave the
main menu or all submenus by pressing RETURN. That Editor handles the arrangement for
sectors and shows all your defined sectors in a
sequential order for every channel seperatly. If
you start it the first time, everywhere will be
placed a 00 value. SID is concepted with 3
Channels, so there are 3 Tracks available.
Xy defines the duration of that position. After that the
next position will be processed. You can see in example
July 2008 Page 21
www.commodorefree.com
2.4.1 Channels
Every Track contains an index number (postion) and a
sector number, which can be filled up with a special
sector (they will store the playing sequence). Additional
we are able to set special commands, like setting a
global transposing value, contolling the end or controlling repeats of a track. The duration of a played sector
is dependent of the sector length. So every channel can
be played in an asynchronous duration too! If we start
composing, we should learn to define synchronous
routines. More information about that are described in
chapter: Sector Editor.
Relative transpose settings can by change by +
or - keys with a value in front of following
sectors. The playroutine will registered that
command and jumps to the next position.
-END- Command will set a jump mark in track
(SHIFT + E). The playroutine will jump to a
specific position (have to be written below -END) and repeats the whole track area again. Sadly,
that functionality was forgotten in DMC7. It
jumps only back to the first line.
STOP! Command stops a current playing track
(C= + E). No jumps or repeats are possible.
2.4.2 Options
If we want to play our tune, we can start it by pushing
F1. If nothing is defined before we won't hear anything.
F3 will stop and F5 will continues the playroutine. F7
winds forward a played music. In DMC7 your are able
to trace the complete routine to have a better overview
of played sectors in every channel. Simply press •. If
you want use different player types, you are able to
choose between: NORMAL Player (C= + 1), DOUBLE
Player (C= + 2), TRIPLE Player (C= + 3), , QUADRO
Player (C= + 4) and QUINTUPLE Player (C= + 5).
Notice that the play routine will be set to $1006 instead
$1003 in higher modes as NORMAL.
If we want to test how your instruments sound, by
playing in realtime, you can switch into the
"SYNTHESIZER MODE" by pushing F8. If we stay in
that mode, we are able to change instruments with +
and - and to set a transpose value between 0 and 7. F6
will activate the record mode. The recorded sequence
can later be placed in any sector in DMC7 (Notice that
DMC4 will record in current sector!). If you paste a
recorded sequence, notice that you have to place an
additonal END! command in your sectors. SYNTHESIZER and RECORD MODE can be turned off by pushing
RUN/STOP.
By pushing SHIFT + C we can copy a complete track
to another track position (1,2,3). SHIFT + X will
exchange a track with another one. HOME steps to the
first line and CLR (SHIFT + HOME) clears a track. There
is also a COPY / PASTE functionality integrated. • Arrow
(Copy - part of the screen flicker in green) and @ (Paste
- part of the screen flicker in red). Tracks will be copied
only to a -END- Command in Tracks (Everything behind
that will be ignored).
That example above will play only the first
channel. The 2nd and 3th are stop by STOP!
Command. The first channel uses Sector 00 and
Sector 01 (2 times, but in different tone pitch,
because a TR Command is used in front of that
sectors. The -END- Command loops to the first
line back. There is a TR+00 needed to reset the
standard transpose. But before you can test this
example you have to read that following chapter
about sector editing.
2.5 Sector Editor
If we stay on a number in track, then we are able
to switch in a specific sector by pushing SHIFT
+ RETURN. For example, the first position of
track1 contains a 00. Then we will get into the
Sector 00 on the right side. First we will see an
empty sector:
DEL deletes, INST (SHIFT + DEL) inserts a line.
A complete tune can be initialise by pressing SHIFT +
I. The keys SHIFT + T will switch into the tune menu.
Here we can choose which tune should be edited (DMC
4 / 7 can store up to 8 tunes). At least with SHIFT +
RETURN we can edit a selected sector. If we step to a
00, Sector 00 will be edited. If we write another number
on that position, then Sector xx will change to that.
CONTINUED NEXT MONTH ........
2.4.3 Commands
there are 3 Commands to control the tracks:
TR+ or TR-ENDSTOP!
Global transpose up or down for that track
Jump playroutine to X position
Stop playroutine
July 2008 Page 22
www.commodorefree.com
Commodore SX-64 Papercraft Paper Model
http://www.erikschubach.com/vintage/sx-64-paper-model.php
I wanted to do something fun for fans of the SX-64, so
I took a couple of hours to create this paper model of
my favourite vintage computer for you to print and assemble. I had my son build the first paper craft prototype so I could include some pictures of the finished
product... and this this is the result.
So get out a sharp pair of scissors and some glue to
assemble this whimsical paper model that you can
show off to your friends and own a piece of computing
history... or build a few to make your own army of mini
paper craft Commodore SX-64 colour
July 2008 Page 23
www.commodorefree.com
July 2008 Page 24
www.commodorefree.com
Interview with Erik Schubach
Designer of the paper SX64 cutout
In the Commodore Amiga line I
currently own...
(1) Boxed Amiga A1000
(2) Boxed Amiga A500
(3) Un-Boxed Amiga A500
(1) Boxed A600HD
As well as accessories for all of the
systems such as external CD
drives, floppy drives, network
adapters and dozens of game
disks.
Other non-Commodore systems in
my collection include...
(2) Boxed Timex Sinclair T1000
Compuers
(2) Boxed GCE Vectrex Arcade
Systems
(1) Boxed NEC TurboExpress
(TurboGrafx 16 Handheld)
(1) Boxed NEC TurboGrafx 16
(Holiday Edition)
(2) Un-Boxed NEC TurboGrafx
All with scores of accessories and
games.
And from the 1970's...
(1) Original Pong Console
Commodore FREE.
Please introduce yourself to our readers
(3) Boxed Milton Bradley Microvision Handheld Gaming
Systems
Erik Schubach
Hi, my name is Erik Schubach and have been a programmer for over 25 years and currently manage a successful
ecommerce website. I also teach search engine optimization and basic ecommerce workshops at local colleges.
(1) Factory Sealed Milton Bradley Microvision Handheld
Gaming System
CF. Can you tell our readers a little about your love of
vintage machines
CF. What started you collection of machines
ES. I have been a fan of computers and video gaming since
the 1970's. I was lucky to grow up during the emergence
of video gaming and home computing. Commodore machines were a big part of that emergence, if not a dominating force.
CF. What machines do you currently have in your collection
ES. In the Commodore line I currently own...
(1) Boxed Commodore Vic 20
(1) Boxed Commodore 64
(1) Un-Boxed Commodore 64
(1) Boxed Commodore 64C (Test Pilot Special Release)
(1) Un-Boxed Commodore C4C
(1) Boxed Commodore SX-64 Executive
(3) Un-Boxed Commodore SX-64 Executive
(1) Un-Boxed Commodore 128
As well as accessories for all of the sytems such as floppy
drives, modems and dozens of game cartridges and disks.
(1) Un-Boxed Milton Bradley Microvision Handheld Gaming
System
ES. I was feeling nostalgic a few years back and wanted to
revisit my youth by getting a couple of the old systems I had
while growing up. So I was able to locate a Timex Sinclair
and a Commodore SX-64. Once I started playing with them
I actually re-lived the first time I wrote a program in Basic
and typed "run". What a rush!
That just sort of flipped a switch in my mind and now I am
an avid collector of all the systems I ever owned or played
with as a kid. It's like an addiction.
CF. Do you own any other Commodore machines
ES. I own a few other Commodore systems I did not list
above, but they are non-functional such as a Commodore
+4 and various other models I use for parts.
CF. Is there something special retro computer related you
are looking for?
July 2008 Page 25
www.commodorefree.com
ES. I am looking for 4 machines in the Amiga line, the A1200,
A2000, A3000, A4000. I am currently working out a trade with
one of the editors of www.RetroThing,com for an A2000 with a
Video Toaster setup for one of my SX-64's and a few other
pieces from my collection.
CF. Would you prefer to obtain a machine with all packaging
and complete or is just owning the machine enough?
ES. If possible I like to get at least one boxed and one unboxed
unit of each model. But I am happy just to own one reguardless
of if it has a box and packaging or not. I do like to keep the
boxed systems for the sake of
preservation.
CF. Tell our readers about the paper sx64 they can
download from your website
ES. I found the hard way how hard it is to get units that
are fully operational. Out of eight units I purchased, I
have only four operational. There are many unscrupulous sellers on sites such as www.eBay.com that tell
you they work but then you get them and they do not
function.
So I know there must be others out there who love the
SX-64 but do not have one of their own yet. So I
decided to make a model of mine that I can share with
everyone until they can finally buy a real SX-64 of their
own.
CF. Do you actually use these machines?
CF. How was the model created?
ES. I most certainly use the systems, as I said before, I do like
to keep boxed units for preservation, but the un-boxed units I
enjoy firing up. It transports me back in time to when I saw and
used these computers for the very first time.
The more I use them, the more I remember and the more
amazed I am at the engineering feat of Commodore decades
ago.
CF. Have you used any emulators of Retro machines, how do
you rate them and do you think emulation is important part of
preserving machines?
ES. I'm not much of an emulator man. I see the need for
emulators as a last ditch effort to preserve a system as the last
of the units begin to fail. There are still thousands of functional
Commodore computers out there, they are not in danger of
passing on into antiquity any time soon. So why get a cheapened emulated view of a system when you can get the whole
retro experience by actually operating one of the machines and
marveling in it's novelty?
ES. I took photos of the unit from all sides and cleaned
them up and assembled in a graphics program, with a
little trial and error, I finally got it done to my liking and
had my son assemble the first one for the photos I use
to accompany the model. I then put it up on my website
for anyone to download and enjoy.
CF. Do you intend to create other Retro computer
models?
ES. Yes! I am slowly adding my entire collection to my
website and I intend to have a paper model of every
system I own. It is a fun way to give back to the
retro-community. So eventually all of my Commodore
and Amiga systems, as well as my other machines will
be online. Just a few days ago I added a second paper
model, the Milton Bradley Microvision here
http://www.erikschubach.com/vintage/microvision-paper-model.php
CF. Would you like to plug your website a little
CF. Can you briefly describe and explain the systems in your
collection, All of my systems are un-altered stock units (I'm a
purest).
ES. I am quite fond of my boxed SX-64, fully operational with
all original packaging and accessories. This was a dream unit
from my childhood and it excites me every time I fire it up for a
game of Pacman or Defender.
Besides that I am quite proud of my Amiga A500 with 512k
A501 memory expansion, external 570 CD drive and external
Supra 40mb hard drive. It was the system I wanted to build in
my teens but could not afford the external drives at the time, but
now as an adult I have finally built.
ES.
There
isn't
much
to
say
about
www.ErikSchubach.com as it is just a hobby website
that I built to share my interests with the world. I am
slowly adding content such as retro-technology and
sci-fi from the 1960's through the 1990's.
CF. Is there a question you think should have been
asked but I didn't
ES. I think we just about covered it. I do thank you for
taking the time to talk with me about my interests.
CF. If you had enough money to create/or invent something what would you invent/create and why
CF. why specifically do you own these machines?
ES. Once again it comes down to the nostalgia. I am a
programmer by trade and these machines are what started my
love for programming. They set me on the path to make my
passion a career. So it is logical that I honor that by collecting
them as a form of thanks and to help me to remember where I
came from.
CF. How much would you say your collection is worth?
ES. I've never really given that much though, perhaps two to
three thousand dollars US, but to me they are priceless. It
really isn't about the money.
CF. Do you actively follow the retro groups?
ES. I would actually like to create an eBay like website
that caters specifically to retro technology. Building a
community around it. Having help forums for any and
all systems out there all in one place. Because I know
how difficult it can be to find parts, maintain, or just get
advice for a specific platform.
Multiply that by a hundred or so and you can see how
daunting of a task it is for people who collect more than
just one system.If that was not possible, than a company that makes new peripherals to support old systems like the Amiga. Just think how successful a
company that can build replacement parts or say USB
interfaces for the Commodore 64 or Amiga A500 would
be with such a huge community of collectors out there.
ES. I'm a lurker on a few online forums such as www.Amiga.org
and www.LemonAmiga.com , they are great resources for
maintaining and operating these great systems.
July 2008 Page 26
www.commodorefree.com
http://www.commodorecomputerclub.co.uk/
Commodore Computer Club (UK) 1st meeting,
26th to the 27th July 2008.
By Shaun B.
So, what really happened at our first ever club meeting then?
Well, we'll start the night before, when I got a text from Paul
"Tr00per" Green, who found out that, because of engineering
works on the railways, his train had been put back some five
hours, so instead of arriving into Preston for about 11:00 as
agreed, he'd be getting there more like 19:00. So, unfortunately, he had to cancel, which was a shame as he was eager to
show the demo of his shoot-em up, named Part34, to Nigel and
Conrad/Onslaught/Samar Productions. Fortunately, he'd send
me over the PRG, and I had it safely stored on my
laptop.
waiting a few minutes for Nigel. Conrad had asked me
to do some text for a scrolly in a demo that he was
going to release at the meeting earlier in the week, so I
was therefore eager to see the final results, but we also
needed to get the boring stuff out of the way first.
http://noname.c64.org/csdb/release/?id=68967
After a few refreshments at Nigel’s place, we started
quickly with the agenda for the meeting. As no one had
protested to any of my suggestions online, all of the
rules and so on were agreed. Members can read up on
the minutes in the google group and on the forums.
http://groups.google.com/group/
commodorecomputerclub
www.commodorecomputerclub.co.uk
As there was no Allan (the chair person), I was acting
chair. Lager was offered, and it was time for some real
Commodore stuff.
Conrad was keen to see Metal Dust in action, so I
loaded it from my HD and also fixed (I hope) his 1541Mk II with a decent head align program. Conrad commented on some of the effects found in Metal Dust, and
then he finished linking the text into his one-filer demo.
Nigel was reluctant to actually type anything into the
scrolly, so we sort of spoke on his behalf with him
agreeing to the vague statements.
(EDITOR ok what should I have said oh I know don’t
forget the website
www.commodorecomputerclub.co.uk)
Due to other commitments’ then, we were down to just three
attendees. Nigel was hosting, with myself and Conrad. Fortunately, my train was running on time, and I got to Preston and
And it was finished and release. Shortly after, Conrad
uploaded it to CSDb and also briefly detailed the meeting.
There were several lager spillages in the day (!!!) but
Nigel's Commodore room is rather cozy to say the
July 2008 Page 27
www.commodorefree.com
least. In a way, it was a good job there were no more than
three of us or people would have been lining up on Nigel's
stairs to his room, with messages been passed down to
explain what was going on, like a game of Chinese Whispers.
During the evening, we went to the local Fish and Chip
shop, with Conrad having quite possibly the biggest portion of chips that I've ever seen. It was quite a feat to eat
through them, but then he had walked five miles to Preston station in the morning, so I guessed that he had burnt
up some calories. I had proper chips and gravy, which
they don't do in Birmingham as far as I can tell.
Intermittently, we popped outside for fresh air as Nigel's
room was getting too warm with all of the technology running.
As the night drew in, we went on to play some DTV games
after not having the correct screw driver to open up the
unit to see how easy it was to install an MMC2DTV. I
looked for the hidden files on the DTV and found out that
the PAL version didn't have them. Oh well, that's cost cutting for you.
All too soon, I was starting to tire and needed sleep. I at
least saw the MMC Replay in action, which was good, and
Conrad saw something of the SuperCPU too, albeit Metal
Dust only. I couldn't remember what I had on my HD to
show him, so that was left.
Nigel demonstrated the DC2N device for preservation purposes, and loaded Wizball, though we didn't enact the high
score competition as, needless to say, I would have won
it... well, maybe anyway.
The next morning, we were all up bright and early. It was
naturally drawing to a close, but I am eager for the next
meet up. Conrad again did some example coding, demonstrating flexible line distance on the C64, which allows you
Various games were played on the VIC-20 mega-cart from
Francois (eslapion), and it was decided that Conrad was
probably the best at playing Jelly Monster (a PAC-Man
game) and indeed he had the high score for the day.
to bounce the screen around quite easily. Again, he wrote
some documented source code for us to learn from. I suggested that Nigel would have a full game or mega-demo
written in a years time, which he laughed at.
Then it was down to Conrad to write some example source
code for Nigel and myself to observe. He did a scroller split
at the bottom of the screen demonstrating a basic interrupt,
The final action was Nigel tested big file copying between
a C64 and a PC. He transferred a 5Mb file using a stock
system and the IDE64 + PCLink. I was eager for this as I
needed a way to move big PostScript files from my Commodore to the PC so that I could convert them to PDF for
the newsletter, which is my next job.
All in all, despite being scant of attendees, there were a lot
of positives from the weekend, and I'm looking forward to
the next meet up. Members will be able to find the minutes
of the meeting online in private member areas. For those
of you interested in joining our usergroup, head over to
www.CommodoreComputerClub.co.uk, or contact me at
[email protected] We'll see you
next time then.
and commented and saved the source code for Nigel to
have a play with. This was done using TAS on his Retro
Replay.
COMMODORE FREE
www.commodorefree.com
THE END
July 2008 Page 28
Was this manual useful for you? yes no
Thank you for your participation!

* Your assessment is very important for improving the work of artificial intelligence, which forms the content of this project

Download PDF

advertisement